package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.UserAgreement;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.UserAgreementMapper")
public interface UserAgreementMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(UserAgreement record);

    UserAgreement selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserAgreement record);

    List<UserAgreement> queryAllUserAgreement(UserAgreement record);

    List<UserAgreement> queryUserAgreementByPage(Map<String, Object> parameter);

    int delete(UserAgreement record);

    UserAgreement queryUserAgreement(UserAgreement record);

    List<UserAgreement> query(UserAgreement record);
}

